Get Cardio Respiratory Metrics
curl --request GET \
--url https://api.example.com/api/v1/cardio_respiratory_metrics/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/cardio_respiratory_metrics/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/cardio_respiratory_metrics/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Get Cardio Respiratory Metrics
Get cardiovascular and respiratory metrics including:
- Heart rate statistics (average, minimum, maximum)
- Respiratory rate statistics (average, minimum, maximum).
GET
/
api
/
v1
/
cardio_respiratory_metrics
/
{user_id}
Get Cardio Respiratory Metrics
Get Cardio Respiratory Metrics
Get cardiovascular and respiratory metrics including heart rate statistics (average, minimum, maximum) and respiratory rate statistics (average, minimum, maximum).Headers
| Parameter | Type | Required | Description |
|---|---|---|---|
| authorization | string | Yes | API authorization token (Bearer token) |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| user_id | string | Yes | The ID of the patient |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| days | integer | No | Number of past days to fetch data for (default: 7) |
Responses
| Status | Description | Content Type |
|---|---|---|
| 200 | Successful Response | application/json |
| 422 | Validation Error | application/json |
Sample Request
curl -X GET "https://api.covita.com/api/v1/cardio_respiratory_metrics/User1?days=7" \
-H "Authorization: Bearer YOUR_API_TOKEN"
Sample Response
{
"user_id": "User1",
"days": 7,
"cardio_metrics": {
"heart_rate": {
"average": 72,
"minimum": 58,
"maximum": 95,
"resting_heart_rate": 62
}
},
"respiratory_metrics": {
"breathing_rate": {
"average": 16,
"minimum": 12,
"maximum": 22
}
},
"daily_summary": [
{
"date": "2023-08-15",
"avg_heart_rate": 74,
"min_heart_rate": 60,
"max_heart_rate": 92,
"avg_breathing_rate": 15
}
]
}
⌘I